JamshidianSwaptionEngine Class Reference
Pricing engines » Swaption engines

Jamshidian swaption engine. More...

`#include <ql/pricingengines/swaption/jamshidianswaptionengine.hpp>`

Inheritance diagram for JamshidianSwaptionEngine:
[legend]

## Public Member Functions

| JamshidianSwaptionEngine (const boost::shared_ptr< OneFactorAffineModel > &model, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const
Public Member Functions inherited from GenericModelEngine< OneFactorAffineModel, Swaption::arguments, Swaption::results >
| GenericModelEngine (const Handle< OneFactorAffineModel > &model=Handle< OneFactorAffineModel >())
| GenericModelEngine (const boost::shared_ptr< OneFactorAffineModel > &model)
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Friends

class | rStarFinder

## Additional Inherited Members

Protected Attributes inherited from GenericModelEngine< OneFactorAffineModel, Swaption::arguments, Swaption::results >
Handle< OneFactorAffineModel > | model_
Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

Jamshidian swaption engine.

Warning:
  The engine might assume that the exercise date equals the start date of the passed swap unless the model provides an implementation of the discountBondOption method with start delay

Examples:
  BermudanSwaption.cpp.

## Constructor & Destructor Documentation

JamshidianSwaptionEngine | ( | const boost::shared_ptr< OneFactorAffineModel > & | model,
|  | const Handle< YieldTermStructure > & | termStructure = `Handle<YieldTermStructure>()`
| ) |  |

Note
  the term structure is only needed when the short-rate model cannot provide one itself.